-
  text: "Yo mamma so fat, the recursive function to calculate her weight causes a stack overflow."
  author: Eddie Huang
-
  text: "Computer Science is no more about computers than astronomy is about telescopes."
  author: Edsger W. Dijkstra
-
  text: "Imagination is more important than knowledge. For knowledge is limited, whereas imagination embraces the entire world, stimulating progress, giving birth to evolution."
  author: Albert Einstein
-
  text: "The more you know, the more you realize you know nothing."
  author: Socrates
-
  text: "Tell me and I forget. Teach me and I remember. Involve me and I learn."
  author: Benjamin Franklin
-
  text: "If we wish to count lines of code, we should not regard them as ‘lines produced’ but as ‘lines spent.'"
  author: Edsger Dijkstra
-
  text: "The value of a college education is not the learning of many facts but the training of the mind to think"
  author: Albert Einstein
-
  text: "The only way to do great work is to love what you do."
  author: Steve Jobs
-
  text: "It’s really hard to design products by focus groups. A lot of times, people don’t know what they want until you show it to them."
  author: Steve Jobs
-
  text: "I propose to consider the question, 'Can machines think?'"
  author: Alan Turing
-
  text: "When Henry Ford made cheap, reliable cars people said, 'Nah, what's wrong with a horse?' That was a huge bet he made, and it worked."
  author: Elon Musk
-
  text: "Simplicity and elegance are unpopular because they require hard work and discipline to achieve and education to be appreciated."
  author: Edsger Dijkstra
-
  text: "If you don't hand in the next homework, you might miss some points."
  author: Prof. Jiawei Han
-
  text: "Measuring programming progress by lines of code is like measuring aircraft building progress by weight."
  author: Bill Gates
-
  text: "If debugging is the process of removing bugs, then programming must be the process of putting them in."
  author: Edsger W. Dijkstra
-
  text: "We are what we repeatedly do. Excellence, then, is not an act, but a habit."
  author: Aristotle
-
  text: "I hear and I forget; I see and I remember; I do and I understand."
  author: Confucius
-
  text: "Find your points of interest, compute HOG features, bung them into a classifier, and see what you get."
  author: Prof. D.A. Forsyth
-
  text: "You *could* call it an ape, and that an ape, but that would just be phylogenic pettifogging."
  author: Prof. D.A. Forsyth
-
  text: "If you can't remember a formula during the exam it's probably not important."
  author: Prof. Chengxiang Zhai
-
  text: "Sometimes I just like to throw things."
  author: Prof. Cinda Heeren
-
  text: "Simplicity is the ultimate sophistication."
  author: Leonardo da Vinci
-
  text: "I did respond to your email, but I might have forgotten to hit send."
  author: Prof. Cinda Heeren
-
  text: "Now that's just math for math's sake."
  author: Prof. Julia Hockenmaier
-
  text: "Recursion is magic."
  author: Prof. Jeff Erickson
-
  text: "Recursion is NOT magic."
  author: Prof. Craig Zilles
-
  text: "The best thing about a boolean is even if you are wrong, you are only off by a bit."
  author: Anonymous
-
  text: "Without requirements or design, programming is the art of adding bugs to an empty text file."
  author: Louis Srygley
-
  text: "Before software can be reusable it first has to be usable."
  author: Ralph Johnson
-
  text: "The best method for accelerating a computer is the one that boosts it by 9.8 m/s2."
  author: Anonymous
-
  text: "If builders built buildings the way programmers wrote programs, then the first woodpecker that came along would destroy civilization."
  author: Gerald Weinberg
-
  text: "There are two ways to write error-free programs, only the third one works."
  author: Alan J. Perlis
-
  text: "Ready, fire, aim: the fast approach to software development. Ready, aim, aim, aim, aim: the slow approach to software development."
  author: Anonymous
-
  text: "It’s not a bug – it’s an undocumented feature."
  author: Anonymous
-
  text: "One man’s crappy software is another man’s full-time job."
  author: Jessica Gaston
-
  text: "A good programmer is someone who always looks both ways before crossing a one-way street."
  author: Doug Linder
-
  text: "Always code as if the guy who ends up maintaining your code will be a violent psychopath who knows where you live."
  author: Martin Golding
-
  text: "Deleted code is debugged code."
  author: Jeff Sickel
-
  text: "Software undergoes beta testing shortly before it’s released. Beta is Latin for “still doesn’t work.”"
  author: Anonymous
-
  text: "Programming today is a race between software engineers striving to build bigger and better idiot-proof programs, and the universe trying to produce bigger and better idiots. So far, the universe is winning."
  author: Rick Cook
-
  text: "It’s a curious thing about our industry: not only do we not learn from our mistakes, but we also don’t learn from our successes."
  author: Keith Braithwaite
-
  text: "There are only two kinds of programming languages: those people always bitch about and those nobody uses."
  author: Bjarne Stroustrup
-
  text: "In order to understand recursion, one must first understand recursion."
  author: Anonymous
-
  text: "The best performance improvement is the transition from the nonworking state to the working state."
  author: J. Osterhout
-
  text: "The trouble with programmers is that you can never tell what a programmer is doing until it’s too late."
  author: Seymour Cray
-
  text: "Don’t worry if it doesn’t work right. If everything did, you’d be out of a job."
  author: Mosher’s Law of Software Engineering
-
  text: "The value of a prototype is in the education it gives you, not in the code itself."
  author: Alan Cooper
-
  text: "The question of whether computers can think is like the question of whether submarines can swim."
  author: Edsger Dijkstra
-
  text: "Standards are always out of date. That’s what makes them standards."
  author: Alan Bennett
-
  text: "Physics is the universe’s operating system."
  author: Steven R Garman
-
  text: "It’s hardware that makes a machine fast. It’s software that makes a fast machine slow."
  author: Craig Bruce
-
  text: "The greatest enemy of knowledge is not ignorance, it is the illusion of knowledge."
  author: Stephen Hawking
-
  text: "Getting information off the Internet is like taking a drink from a fire hydrant."
  author: Mitchell Kapor
-
  text: "If you think your users are idiots, only idiots will use it."
  author: Linus Torvalds
-
  text: "Computers are good at following instructions, but not at reading your mind."
  author: Donald Knuth
-
  text: "Your most unhappy customers are your greatest source of learning."
  author: Bill Gates
-
  text: "Pessimists, we’re told, look at a glass containing 50% air and 50% water and see it as half empty. Optimists, in contrast, see it as half full. Engineers, of course, understand the glass is twice as big as it needs to be."
  author: Bob Lewis
-
  text: "The most likely way for the world to be destroyed, most experts agree, is by accident. That’s where we come in; we’re computer professionals. We cause accidents."
  author: Nathaniel Borenstein
-
  text: "If you think you are worth what you know, you are very wrong. Your knowledge today does not have much value beyond a couple of years. Your value is what you can learn and how easily you can adapt to the changes this profession brings so often."
  author: Jose M. Aguilar
-
  text: "Programs must be written for people to read, and only incidentally for machines to execute."
  author: Abelson and Sussman
-
  text: "Commenting your code is like cleaning your bathroom — you never want to do it, but it really does create a more pleasant experience for you and your guests."
  author: Ryan Campbell
-
  text: "If you automate a mess, you get an automated mess."
  author: Rod Michael
-
  text: "It is easier to change the specification to fit the program than vice versa."
  author: Alan Perlis
-
  text: "Simplicity, carried to the extreme, becomes elegance."
  author: Jon Franklin
-
  text: "Programming without an overall architecture or design in mind is like exploring a cave with only a flashlight: You don’t know where you’ve been, you don’t know where you’re going, and you don’t know quite where you are."
  author: Danny Thorpe
-
  text: "Today, most software exists, not to solve a problem, but to interface with other software."
  author: IO Angell
-
  text: "The difference between theory and practice is that in theory, there is no difference between theory and practice."
  author: Richard Moore
-
  text: "As a rule, software systems do not work well until they have been used, and have failed repeatedly, in real applications."
  author: Dave Parnas
-
  text: "If you don’t handle [exceptions], we shut your application down. That dramatically increases the reliability of the system."
  author: Anders Hejlsberg
-
  text: "There are only two things wrong with C++: The initial concept and the implementation."
  author: Bertrand Meyer
-
  text: "It has been discovered that C++ provides a remarkable facility for concealing the trivial details of a program — such as where its bugs are."
  author: David Keppel
-
  text: "Some people, when confronted with a problem, think ‘I know, I’ll use regular expressions.’ Now they have two problems."
  author: Jamie Zawinski
-
  text: "I don’t know what the language of the year 2000 will look like, but I know it will be called Fortran."
  author: CA Hoare, 1982
-
  text: "In the future, computers may weigh no more than 1.5 tonnes."
  author: Popular mechanics, 1949
-
  text: "I see little commercial potential for the Internet for at least ten years."
  author: Bill Gates, 1994
-
  text: "The problem of viruses is temporary and will be solved in two years."
  author: John McAfee, 1988
-
  text: "Two years from now, spam will be solved."
  author: Bill Gates, 2004
